devguard
RecordsId

Get the details of a single record by id.

GET
/records/{id}/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/records/string/"
{  "id": "string",  "shortId": -9007199254740991,  "slug": "string",  "organizationId": "string",  "categoryId": "string",  "title": "string",  "content": null,  "status": "DRAFT",  "assigneeMemberId": "string",  "assigneeBusinessRoleId": "string",  "dueDate": "string",  "currentVersion": -9007199254740991,  "finalizedAt": "string",  "finalizedBy": "string",  "createdAt": "string",  "updatedAt": "string",  "archivedAt": "string",  "category": {    "id": "string",    "name": "string",    "slug": "string",    "description": "string",    "color": "string",    "order": -9007199254740991,    "organizationId": "string",    "ownerId": "string",    "defaultTemplateId": "string",    "allowPortalSubmission": true,    "frequency": "MONTHLY",    "createdAt": "string",    "updatedAt": "string",    "archivedAt": "string"  },  "assigneeBusinessRole": {    "id": "string",    "name": "string",    "slug": "string"  },  "filesCount": 0,  "versionsCount": 0}

How is this guide?